name: Lint
on:
  - push
jobs:
  lint:
    name: golangci-lint
    runs-on: ubuntu-latest

    steps:
      - uses: actions/setup-go@v4
        with:
          go-version: "1.21.1"
          cache: false

      - name: Check out code
        uses: actions/checkout@v3

      - name: Lint
        uses: golangci/golangci-lint-action@v3
        with:
          version: v1.55
